RISOLTO ho rimosso il mondo per sbaglio, dannazione! [ semi risolto]

Numero8

Collaudatore di HW preistorico
Utente Èlite
2,453
652
ciao, per provare a installare un sw, ho dato questi tre comandi:

Codice:
sudo apt install icedtea-plugin
sudo apt install libpangoxft-1.0-0:i386 libxv1:i386 libpangox-1.0-0:i386
sudo apt install icedtea-netx
per farla breve non mi serve più quel sw (che manco ho visto installato visivamente, intendo come una qualche iterfaccia grafica da qualche parte).

allora ho voluto rimovere quello che comunque avevo visto da terminale che veniva installato.

allora da ignorante ho dato al contrario quei comandi, cioè sudo apt-get --purge remove più quello che c'era scritto dopo install

il primo comando sembra non aver fatto danni e tolto solo icedtea-plugin

il secondo invece ha rimosso il mondo! c'è modo di rimettere tutta quella roba con uno o pochi comandi per favore? grazie. questo è quello che ha rimosso:
Codice:
sudo apt-get --purge remove libpangoxft-1.0-0:i386 libxv1:i386 libpangox-1.0-0:i386
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  apport aptdaemon aptdaemon-data bluez-obexd efibootmgr gdebi-core geoclue-2.0 gir1.2-atk-1.0 gir1.2-dbusmenu-glib-0.4 gir1.2-dee-1.0
  gir1.2-freedesktop gir1.2-gdkpixbuf-2.0 gir1.2-goa-1.0 gir1.2-gudev-1.0 gir1.2-javascriptcoregtk-4.0 gir1.2-notify-0.7
  gir1.2-packagekitglib-1.0 gir1.2-polkit-1.0 gir1.2-secret-1 gir1.2-snapd-1 gir1.2-soup-2.4 gir1.2-udisks-2.0 gir1.2-unity-5.0
  gnome-software-common gvfs-common gvfs-libs icedtea-8-plugin iio-sensor-proxy libappstream-glib8 libbrotli1 libcairo-gobject-perl
  libcdio-paranoia2 libegl1-mesa libfwup1 libgeoclue-2-0 libglib-object-introspection-perl libgspell-1-1 libgspell-1-common
  libjavascriptcoregtk-4.0-18 libobt2v5 libuchardet0 libwebkit2gtk-4.0-37 libwnck-3-0 libwnck-3-common libwoff1 libxft2 libxvmc1 libxxf86dga1
  python3-apport python3-aptdaemon python3-cairo python3-certifi python3-cups python3-cupshelpers python3-dateutil python3-defer
  python3-problem-report python3-requests python3-requests-unixsocket python3-software-properties python3-urllib3 python3-xdg redshift
  session-migration software-properties-common syslinux syslinux-common syslinux-legacy usb-creator-common
Usare "sudo apt autoremove" per rimuoverli.
I seguenti pacchetti saranno RIMOSSI:
  apport-gtk* gdebi* gir1.2-appindicator3-0.1* gir1.2-gtk-3.0* gir1.2-pango-1.0* gir1.2-vte-2.91* gir1.2-webkit2-4.0* gir1.2-wnck-3.0* gnome-mpv*
  gnome-software* gvfs* gvfs-backends* gvfs-daemons* gvfs-fuse* language-selector-gnome* libatk-wrapper-java* libatk-wrapper-java-jni*
  libavdevice57* libgtk3-perl* libmpv1* libobrender32v5* libpangox-1.0-0* libpangoxft-1.0-0* libxv1* lightdm-gtk-greeter-settings*
  lubuntu-gtk-core* lxappearance-obconf* obconf* openbox* python3-aptdaemon.gtk3widgets* redshift-gtk* software-properties-gtk*
  system-config-printer* system-config-printer-common* ubuntu-release-upgrader-gtk* update-manager* update-notifier* usb-creator-gtk* x11-utils*
  xserver-xorg-video-intel-hwe-18.04*
0 aggiornati, 0 installati, 40 da rimuovere e 0 non aggiornati.
Dopo quest'operazione, verranno liberati 23,2 MB di spazio su disco.
Continuare? [S/n] s
(Lettura del database... 161636 file e directory attualmente installati.)
Rimozione di lubuntu-gtk-core (0.94.1)...
Rimozione di apport-gtk (2.20.9-0ubuntu7.15)...
Rimozione di gdebi (0.9.5.7+nmu2)...
Rimozione di redshift-gtk (1.11-1ubuntu1)...
Rimozione di gir1.2-appindicator3-0.1 (12.10.1+18.04.20180322.1-0ubuntu1)...
Rimozione di usb-creator-gtk (0.3.5ubuntu18.04.2)...
Rimozione di lightdm-gtk-greeter-settings (1.2.2-1)...
Rimozione di gir1.2-wnck-3.0:i386 (3.24.1-2)...
Rimozione di gnome-mpv (0.13-1ubuntu1)...
Rimozione di gnome-software (3.28.1-0ubuntu4.18.04.15)...
Rimozione di gvfs-backends (1.36.1-0ubuntu1.3.3)...
Rimozione di gvfs-fuse (1.36.1-0ubuntu1.3.3)...
Rimozione di gvfs:i386 (1.36.1-0ubuntu1.3.3)...
Rimozione di gvfs-daemons (1.36.1-0ubuntu1.3.3)...
Rimozione di language-selector-gnome (0.188.3)...
Rimozione di libatk-wrapper-java-jni:i386 (0.33.3-20ubuntu0.1)...
Rimozione di libatk-wrapper-java (0.33.3-20ubuntu0.1)...
Rimozione di libmpv1:i386 (0.27.2-1ubuntu1)...
Rimozione di libavdevice57:i386 (7:3.4.6-0ubuntu0.18.04.1)...
Rimozione di software-properties-gtk (0.96.24.32.13)...
Rimozione di openbox (3.6.1-7ubuntu0.1)...
Rimozione di lxappearance-obconf (0.2.3-1build1)...
Rimozione di libpangox-1.0-0:i386 (0.0.2-5)...
Rimozione di xserver-xorg-video-intel-hwe-18.04 (2:2.99.917+git20171229-1ubuntu1~18.04.1)...
Rimozione di x11-utils (7.7+3build1)...
Rimozione di libxv1:i386 (2:1.0.11-1)...
Rimozione di obconf (1:2.0.4+git20150213-2)...
Rimozione di system-config-printer (1.5.11-1ubuntu2)...
Rimozione di system-config-printer-common (1.5.11-1ubuntu2)...
Rimozione di python3-aptdaemon.gtk3widgets (1.1.1+bzr982-0ubuntu19.3)...
Rimozione di libobrender32v5 (3.6.1-7ubuntu0.1)...
Rimozione di update-manager (1:18.04.11.13)...
Rimozione di libgtk3-perl (0.032-1)...
Rimozione di update-notifier (3.192.1.7)...
Rimozione di ubuntu-release-upgrader-gtk (1:18.04.37)...
Rimozione di gir1.2-vte-2.91:i386 (0.52.2-1ubuntu1~18.04.2)...
Rimozione di gir1.2-webkit2-4.0:i386 (2.28.2-0ubuntu0.18.04.1)...
Rimozione di gir1.2-gtk-3.0:i386 (3.22.30-1ubuntu4)...
Rimozione di gir1.2-pango-1.0:i386 (1.40.14-1ubuntu0.1)...
Rimozione di libpangoxft-1.0-0:i386 (1.40.14-1ubuntu0.1)...
Elaborazione dei trigger per desktop-file-utils (0.23-1ubuntu3.18.04.2)...
Elaborazione dei trigger per libglib2.0-0:i386 (2.56.4-0ubuntu0.18.04.6)...
Elaborazione dei trigger per libc-bin (2.27-3ubuntu1)...
Elaborazione dei trigger per man-db (2.8.3-2ubuntu0.1)...
Elaborazione dei trigger per shared-mime-info (1.9-2)...
Elaborazione dei trigger per hicolor-icon-theme (0.17-2)...
Elaborazione dei trigger per mime-support (3.60ubuntu1)...
(Lettura del database... 160555 file e directory attualmente installati.)
Eliminazione dei file di configurazione di redshift-gtk (1.11-1ubuntu1)...
Eliminazione dei file di configurazione di xserver-xorg-video-intel-hwe-18.04 (2:2.99.917+git20171229-1ubuntu1~18.04.1)...
Eliminazione dei file di configurazione di usb-creator-gtk (0.3.5ubuntu18.04.2)...
Eliminazione dei file di configurazione di system-config-printer-common (1.5.11-1ubuntu2)...
Eliminazione dei file di configurazione di openbox (3.6.1-7ubuntu0.1)...
Eliminazione dei file di configurazione di x11-utils (7.7+3build1)...
Eliminazione dei file di configurazione di update-notifier (3.192.1.7)...
Eliminazione dei file di configurazione di gnome-software (3.28.1-0ubuntu4.18.04.15)...
Eliminazione dei file di configurazione di libpangox-1.0-0:i386 (0.0.2-5)...
Eliminazione dei file di configurazione di system-config-printer (1.5.11-1ubuntu2)...
Elaborazione dei trigger per dbus (1.12.2-1ubuntu1.2)...
Post automaticamente unito:

cioè qualcosa di quello che rimosso sarà anche giusto, ma ha rimosso anche openbox, il sw per aggiornamenti, redshift e chissà cos'altro
Post automaticamente unito:

ha rimosso anche il centro sw
Post automaticamente unito:

ho installato a mano da terminale redshift e openbox manager,

ora devo installare il centro software che in lubuntu è chiamato software o lubuntu-software-center, ma dice per entrambi comando non trovato

che comando va dato per installare il centro software d lubuntu?
Post automaticamente unito:

sudo add-apt-repository ppa:lubuntu-desktop/ppa
anche questo comando non funziona
Post automaticamente unito:

nel frattempo ho reinstallato apport gtk ed è ricomparso il sw per gli aggiornamenti di sistema.

ancora il centro software non va
Post automaticamente unito:

poi in ordine (senza prima installare apport non mi installava i successivi) ho installato gli altri che leggevo dal "codice" sopra essere stati rimossi e per ora ho rimesso:

gnome pv
gnome software
lubuntu gtk core

e ora visivamente, a memoria è ricoparso tutto come prima.

se dall'elenco nel box sopra vedete qualcosa di importante che va rimesso (prima che me ne accorga nell'uso del pc :asd: ), se vi va ditemelo.

avevo il sospetto mi installasse roba in più di ubuntu che lubuntu non ha e pesa e basta (c'era un maggiore uso di ram, il centro sw sembrava "più grosso"), ma poi installando lubuntu gtk ha rimosso qualcosa e riavviando si è sistemato
Post automaticamente unito:

ho reinstallato anche lo usb creator, e così è ricomparso il creatore di dischi di avvio.. si imparano anche cose così pero
Post automaticamente unito:

installato anche system config printer e sono ricomparse le stampanti
Post automaticamente unito:

c'è pure gdebi, il gestore dei pacchetti, non era scomparso ma qualcosa di aggiuntivo era stato tolto pare
Post automaticamente unito:

alla fine penso di aver reinstallato tutte quelle cose in elenco che erano state rimosse, tranne questo: xserver-xorg-video-intel-hwe-18.04

perchè mi dice
Codice:
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:

I seguenti pacchetti hanno dipendenze non soddisfatte:
 xserver-xorg-video-intel-hwe-18.04 : Dipende: xorg-video-abi-24
                                      Dipende: xserver-xorg-core-hwe-18.04 (>= 2:1.18.99.901) ma non sta per essere installato
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.
 
Ultima modifica:

Numero8

Collaudatore di HW preistorico
Utente Èlite
2,453
652
alla fine penso di aver reinstallato tutte quelle cose in elenco che erano state rimosse, tranne questo: xserver-xorg-video-intel-hwe-18.04

perchè mi dice
Codice:
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:

I seguenti pacchetti hanno dipendenze non soddisfatte:
xserver-xorg-video-intel-hwe-18.04 : Dipende: xorg-video-abi-24
                                      Dipende: xserver-xorg-core-hwe-18.04 (>= 2:1.18.99.901) ma non sta per essere installato
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.
qui diciamo che ho risolto perchè per altri motivi ho dovuto reinstallare.

il problema era comunque che, pur essendo intuituvo che per installare quel pacchetto probabilmente sarebbe bastato installare le dipendenze, installando queste mi rimuoveva un po' dicose come lubuntu core che avevo paura fossero utili.

potrebbe essere utile sapere se e come si rimuovono le dipendenze, per conoscenza
 

Entra

oppure Accedi utilizzando

Hot del momento